package com.zhangmeng.online.exam.ui.admin;

import com.zhangmeng.online.exam.ui.components.ExamButtonComponent;
import com.zhangmeng.online.exam.ui.components.ExamComponent;
import javafx.scene.control.SplitPane;
import javafx.scene.layout.AnchorPane;

/**
 * @author zm
 * @date 2025/3/21 14:08
 * @version: 1.0
 */
public class PaperPage extends AnchorPane {
    private SplitPane splitPane;
    public PaperPage() {
        ExamComponent examComponent = new ExamComponent();
        ExamButtonComponent examButtonComponent = new ExamButtonComponent(examComponent.getTotalCount(),examComponent);
        examButtonComponent.setMaxWidth(300);

        splitPane = new SplitPane();
        splitPane.getItems().addAll(examButtonComponent,examComponent);
        this.getChildren().add(splitPane);
        splitPane.prefWidthProperty().bind(this.widthProperty());
        splitPane.prefHeightProperty().bind(this.heightProperty());
    }
}
